<template>

  <div class="bloc">    

    <h1> Voir tous les articles</h1>
      <div class="row">
    
        <div v-for="article of articles" :key="article.id">
          <div class="col s2 m4">
    
          <div class="card">
            <div class="card-image">
              <RouterLink :to="'/article/' + article.id" active-class="active" ><img :src=" article.photo"></RouterLink>
              <span class="card-title">{{ article.titre }}</span>
              <!-- <a class="bt n-floating halfway-fab waves-effect waves-light red"><i class="material-icons">+</i></a> -->
            </div>
    
            <div class="card-content">
              <p> {{ article.text}}</p>
            </div>
          </div>
    
          </div>
        </div> 
        </div>
  </div>
  
</template>

<script setup lang="ts">

import type { Article } from '@/entities';
import { fetchAllArticles } from '@/service/article-service';
import { onMounted, ref } from 'vue';

const articles = ref<Article[]>([]);
const article = ref<Article>();

onMounted(async()=>{
    articles.value = await fetchAllArticles();
})

</script>

<style scoped>

.bloc{
  margin: 70px;
}

</style>

